Subject: Re: [PATCH] git-daemon: fix for rotating logs

From: "Stephen R. van den Berg" <[email-masked]>
Date: Tue, 29 Apr 2008 01:16:28 +0200

Johannes Schindelin wrote:
>On Mon, 28 Apr 2008, Stephen R. van den Berg wrote:
>> >I can do better than that.  I attached to the process, and like I said, it 
>> >hung in close().

>> On which descriptor?  (I.e. what does the descriptor point to?)

>Sorry, that I don't remember, but I strongly suspect the syslog 
>descriptor, since the backtrace showed "syslog()" a few levels up of 
>close().

AFAICT, sending SIGHUP to syslogd doesn't cause the /dev/log pipe to be
closed, therefore there shouldn't be any closing of that /dev/log pipe.
So if you can reproduce it, please report which filedescriptor it is
trying to close.
-- 
Sincerely,                                                          [email-masked]
           Stephen R. van den Berg.